'use strict';

const Controller = require('egg').Controller;
// 娱乐信息统计分析管理
class IviBehaviorController extends Controller {

  async index() {
    const { ctx, service } = this;
    const payload = ctx.validate();
    // 调用 Service 进行业务处理
    const data = await service.iviBehaviorRecordService.index(payload);
    // 设置响应内容和响应状态码
    ctx.success({ data });

  }

  // 娱乐额外
  async ext() {
    const { ctx, service } = this;
    const data = await service.iviBehaviorRecordService.ext();
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

}

module.exports = IviBehaviorController;
