'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // APP反馈数据结构
  const AppFeedbackRecordSchema = new Schema({
    _id: { type: String }, // 日月年拼接
    count: { type: Number }, // 当天反馈总数
    create_time: { type: Number }, // 统计时间戳

  });
  AppFeedbackRecordSchema.index({ create_time: -1 });
  return conn.model('AppFeedbackRecord', AppFeedbackRecordSchema, 'app_feedback_record');
};
