'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlLocalDB');
  // APP反馈数据结构  本地清洗  数据结构
  const AppFeedbackRecordSchema = new Schema({
    create_date: { type: Number }, // 统计的数据是哪一天的
    year: { type: Number }, // 年 统计的数据
    month: { type: Number }, // 月 统计的数据
    day: { type: Number }, // 日 统计的数据
    dateString: { type: String }, // 时间字符串  yyyy-MM-dd
    start_time: { type: Date }, // 开始统计时间
    end_time: { type: Date, default: Date.now }, // 结束统计时间

    total: { type: Number }, // 反馈总数


  });
  AppFeedbackRecordSchema.index({ create_date: -1 });
  return conn.model('AppFeedbackRecord', AppFeedbackRecordSchema, 'lc_app_feedback_record');
};
