'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlLocalDB');
  // 字典表  用于字典项
  const DictSchema = new Schema({
    code: { type: String }, // 字典code
    name: { type: String }, // 字典name
    p_code: { type: String }, // 父code
  });
  return conn.model('Dict', DictSchema, 'lc_dict');
};
