'use strict';

// 单车相关
module.exports = app => {
  const { router, controller } = app;
  // 单车  用户驾驶评分分布/节能驾驶评分分布 列表
  router.get('/report/car/listWithDrive', controller.carController.listWithDrive);


  // 单车信息
  router.get('/report/car/list', controller.carController.list);
  // 单车行为查询信息
  router.get('/report/car/indexSingle', controller.carController.indexSingle);
  // 单车  出行分布信息
  router.get('/report/car/indexTrip', controller.carController.indexTrip);
  // 单车  单次行程 列表
  router.get('/report/car/listWithTravel', controller.carController.listWithTravel);
  // 单车  单次充电周期 列表
  router.get('/report/car/listWithCharging', controller.carController.listWithCharging);
  // 数据透传 tbox在线
  router.get('/report/car/tbox', controller.carController.tbox);
};

