'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 任务执行记录
  const TaskRecordSchema = new Schema({
    _id: { type: String }, // 表名str
    last_task_data: { type: String }, // 最后一次任务执行时间str
  });
  return conn.model('TaskRecord', TaskRecordSchema, 'task_record');
};
