'use strict';

module.exports = app => {
  const { router, controller } = app;

  // 单次行驶里程统计 mileageSingle

  router.get('/report/carBaseInfo/mix/:id', controller.carBaseInfoController2.index);

  // 车速分布 stats_sp_range  statsSpRange
  // 制动减速度次数占比分布 stats_dece statsDece
  // 最大转向角度次数占比分布 stats_rotate statsRotate
  // 高速行驶车速分布 stats_high_sp statsHighSp
  // 起步车速分析 stats_start_sp statsStartSp
  // 加速踏板开度统计占比 stats_acce_cnt statsAcceCnt
  // 纵向加速度最大值统计  maxAcce yaw_portrait_acces yawPortraitAcces
  // 纵向减速度最大值统计  maxDece stats_dece_other statsDeceOther
  // 侧向加速度最大值统计  sideAcce side_portrait_acces sidePortraitAcces
  // 不同车速区间耗电占比  avgSpeedPower  sp_power_consumption  spPowerConsumption
  router.get('/report/carBaseInfo/stats/:id', controller.carBaseInfoController2.stats);

  // 车速对应转角分布 stats_sp_rotate statsSpRotate
  router.get('/report/carBaseInfo/statsWithMode/:id', controller.carBaseInfoController2.statsWithMode);

  // 油门踏板开度统计  加速度统计  statsSpAcceCnt
  router.get('/report/carBaseInfo/acce', controller.carBaseInfoController2.acce);
  router.get('/report/carBaseInfo/as', controller.carBaseInfoController2.as);
  // 车辆行驶对应减速度统计 stats_sp_dece_cnt statsSpDeceCnt
  router.get('/report/carBaseInfo/dece', controller.carBaseInfoController2.dece);


};

