'use strict';

module.exports = app => {
  const { router, controller } = app;

  // 用户出行时间占比  用户疲劳驾驶次数占比  mileageStartTimeAndDsm
  router.get('/report/userDriving/mileageStartTimeAndDsm', controller.userDrivingController2.mileageStartTimeAndDsm);

  // 日行驶里程占比分布  mileage2
  // 日行驶时长占比分布  driveDuration
  // 日行驶车速占比分布  avgSpeed
  // 周末出行里程占比  mileage2
  // 周末驾车次数占比  mileageCnt2
  // 周末驾车时长占比  driveDuration
  // 工作日出行里程占比  mileage2
  // 工作日驾车次数占比  mileageCnt2
  // 工作日驾车时长占比  driveDuration
  router.get('/report/userDriving/mix/date/:id', controller.userDrivingController2.date);

  // 驾驶行为风格统计分析 driveStyle
  // 用户驾驶评分分布分析 drivingSafetyScore
  // 用户节能驾驶评分分布分析 energyConservationScore
  // 持续驾驶行为分析  continuousDrive
  // 单次驾驶里程分布  mileageAvg
  router.get('/report/userDriving/sum/:id', controller.userDrivingController2.sum);


  // 疲劳驾驶次数 dsmCnt
  // 深夜驾驶次数 atNightDriveCnt
  // 早高峰出行时长统计 morningPeakDuration
  // 早高峰出行里程统计 morningPeakMileage
  // 晚高峰出行时长统计 eveningPeakDuration
  // 晚高峰出行里程统计 eveningPeakMileage
  // 夜间出行时长统计 atNightDriveDuration
  // 夜间出行里程统计 atNightDriveMileage
  router.get('/report/userDriving/count2/:id', controller.userDrivingController2.count2);
  router.get('/report/userDriving/ext', controller.userDrivingController2.ext);
};

