'use strict';

module.exports = app => {
  const { router, controller } = app;
  // 驾驶员驾驶行为次数
  router.get('/report/carStatusCloud/normal', controller.carStatusCloudController.normal);
  // 故障告警次数
  router.get('/report/carStatusCloud/fault', controller.carStatusCloudController.fault);
  // 智能驾驶次数
  router.get('/report/carStatusCloud/intelligence', controller.carStatusCloudController.intelligence);
  // 智能驾驶行程占比
  router.get('/report/carStatusCloud/intelligenceMix', controller.carStatusCloudController.intelligenceMix);
};

